Subject: Re: persistent domain names

From: "John Stracke" <[email-masked]>
Date: Wed, 31 Oct 2001 09:38:52 -0500

> So I'd like opinions from the wider IETF membership: is the problem my
> I-D describes something that the IETF should be concerned about?

Perhaps, but I think it's fundamentally unsolvable: any namespace has to
be administered, and any administration process can be challenged in
court.  You can't create a new TLD and declare that the law does not apply
to it.

John Stracke
Principal Engineer
Incentive Systems, Inc.
[email-masked]